//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using CommunityServer.Components;


namespace CommunityServer {

	public class Services {

		public static ArrayList GetServices() {
			return null;
		}

		public static Service GetService( int serviceId ) {
			return null;
		}

		public static int CreateService( Service service ) {
			return CreateUpdateDeleteService( service, DataProviderAction.Create);
		}
		public static int DeleteService( Service service ) {
			return CreateUpdateDeleteService( service, DataProviderAction.Delete);
		}
		public static int UpdateService( Service service ) {
			return CreateUpdateDeleteService( service, DataProviderAction.Update);
		}

		private static int CreateUpdateDeleteService( Service service, DataProviderAction action ) {
		    CommonDataProvider dp = CommonDataProvider.Instance();

			return dp.CreateUpdateDeleteService( service, action );
		}
	}
}